(function (lib, img, cjs, ss) {

var p; // shortcut to reference prototypes
var rect; // used to reference frame bounds

// library properties:
lib.properties = {
	width: 1280,
	height: 720,
	fps: 30,
	color: "#FFFFFF",
	manifest: [
		{src:"images/Bitmap2.png", id:"Bitmap2"}
	]
};



// symbols:



(lib.Bitmap2 = function() {
	this.initialize(img.Bitmap2);
}).prototype = p = new cjs.Bitmap();
p.nominalBounds = new cjs.Rectangle(0,0,1184,601);


(lib.zakreslenie = function() {
	this.initialize();

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f().s("#4BB3AB").ss(2.9,1,1).p("AjYiNIAAEbQAAAfAWAWQAWAWAfAAIEbAAQAfAAAWgWQAWgWAAgfIAAkbQAAgfgWgWQgWgWgfAAIkbAAQgfAAgWAWQgWAWAAAfg");

	this.shape_1 = new cjs.Shape();
	this.shape_1.graphics.f("#FFFFFF").s().p("AiNDZQgfAAgWgWQgWgWAAgfIAAkbQAAgfAWgWQAWgWAfAAIEbAAQAfAAAWAWQAWAWAAAfIAAEbQAAAfgWAWQgWAWgfAAg");

	this.addChild(this.shape_1,this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-23.2,-23.1,46.3,46.3);
p.frameBounds = [rect];


(lib.gfx_select_mc = function() {
	this.initialize();

	// Layer 1
	this.shape = new cjs.Shape();
	this.shape.graphics.f("#009999").s().p("AhIAgIhfihQANAGAdAVQAkAbAVAVIA9A2QgggdBkhaQBlhbAGAcQgTAUgXAiQgvBCgYBCQgJAZgZBYQgUBIgBAAQgyhwgWgtg");

	this.addChild(this.shape);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-16.8,-19,33.6,38);
p.frameBounds = [rect];


(lib.gfx_select_active = function() {
	this.initialize();

	// active
	this.active = new lib.gfx_select_mc();
	this.active.setTransform(0,0.5,0.64,0.64);

	// bg
	this.instance = new lib.zakreslenie();
	this.instance.setTransform(0,1.7,0.569,0.569);

	// Layer 2
	this.shape = new cjs.Shape();
	this.shape.graphics.f("rgba(255,255,255,0.008)").s().p("AlKB2IAAjrIKVAAIAADrg");
	this.shape.setTransform(-20.9,1.7);

	this.addChild(this.shape,this.instance,this.active);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(-54,-11.7,67.2,26.6);
p.frameBounds = [rect];


(lib.exerciseContainer = function(mode,startPosition,loop) {
if (loop == null) { loop = false; }	this.initialize(mode,startPosition,loop,{});

	// timeline functions:
	this.frame_0 = function() {
		/* Sortowanie */
		var config = {
			id: '13241',
			title: 'Oblicz i kliknij we właściwy wynik.',
			type: 'select',
			container: this,
			/*
			groups: {		
				1: [1,2,3],
				2: [4,5,6],
				3: [7,8,9]
			},
			*/
			prefix: 'select_',
			results: [
				/*s_1:*/ '0',
				/*s_2:*/ '1',	
				/*s_3:*/ '0',
				
				/*s_4:*/ '1',
				/*s_5:*/ '0',	
				/*s_6:*/ '0',
				
				/*s_7:*/ '0',
				/*s_8:*/ '0',	
				/*s_9:*/ '1',
				
				/*s_10:*/ '1',
				/*s_11:*/ '0',	
				/*s_12:*/ '0',
				
				/*s_13:*/ '1',
				/*s_14:*/ '0',	
				/*s_15:*/ '0',
				
				/*s_16:*/ '0',
				/*s_17:*/ '1',	
				/*s_18:*/ '0',
				
				/*s_19:*/ '0',
				/*s_20:*/ '0',	
				/*s_21:*/ '1',
				
				/*s_22:*/ '1',
				/*s_23:*/ '0',	
				/*s_24:*/ '0',
				
				/*s_25:*/ '0',
				/*s_26:*/ '0',	
				/*s_27:*/ '1',
				
				/*s_28:*/ '0',      
				/*s_29:*/ '0',	
				/*s_30:*/ '1',
			],
			range: 20,
			alpha: 0,
			alpha2: 0,
			//scale: 1,
			//zindex: 0,
			exerciseAfterInit: function (container) {
			},
			exerciseBeforeFinish: function(container) {		
			},
			exerciseExtraCheck: function(container) {		
			},
		}
		
		exerciseOnInit(config);
		
		this.stop();
		
		/* Help */
		
		/* 
		id - Id cwiczenia
		title - Tytul cwiczenia
		type - Typ Cwiczenia
		contanier - Kontener cwiczenia
		groups - Lista grup oraz przypisane do nich identyfikatory (unikatowa liczba) obiektow bez prefixow
		prefix - Prefixy w nazwach obiektow
		results - Rozwiazanie jako tablica identyfikatorow. Znak '|' definuje alternatywe, a '&' oznacza sume.	
		Przyklad:
		Cwiczenie typu sort.
		Odpowiedzi: [5,2,1,4,5] - tablica z ulozonymi w odpowiedniej kolejnisci identyfikatorami obiektow sortowanych.
		Cwiczenie typu drag.
		Odpowiedzi: [5,1|3,2&4] - tablica z id obiektow przeciaganych lub grup. W tym wariancie kazdy kolejny element z indexem 'i' w tablicy odpowiada targetowi o nazwie 'prefix+i'.
		np. prawidlowa odpowiedzia dla drop_1 jest obiekt drag_5, dla drop_2 obiekt drag_1 lub drag_3, dla drop_3 obiekt drag_2 oraz drag_4.
		range - Zakres dociagania
		alpha - Przezroczystosc targetu
		alpha2 - Przezroczystosc targetu po najechaniu
		scale - Skalowanie obiektu po upuszczeniu
		zindex - Warstwa obiektu
		*/
	}

	// actions tween:
	this.timeline.addTween(cjs.Tween.get(this).call(this.frame_0).wait(1));

	// select
	this.select_29 = new lib.gfx_select_active();
	this.select_29.setTransform(874.9,548.7);

	this.select_30 = new lib.gfx_select_active();
	this.select_30.setTransform(874.9,577.2);

	this.select_28 = new lib.gfx_select_active();
	this.select_28.setTransform(874.9,519);

	this.select_26 = new lib.gfx_select_active();
	this.select_26.setTransform(588.9,548.7);

	this.select_27 = new lib.gfx_select_active();
	this.select_27.setTransform(588.9,577.2);

	this.select_25 = new lib.gfx_select_active();
	this.select_25.setTransform(588.9,519);

	this.select_23 = new lib.gfx_select_active();
	this.select_23.setTransform(1147.9,365.7);

	this.select_24 = new lib.gfx_select_active();
	this.select_24.setTransform(1147.9,394.2);

	this.select_22 = new lib.gfx_select_active();
	this.select_22.setTransform(1147.9,336);

	this.select_20 = new lib.gfx_select_active();
	this.select_20.setTransform(870.9,365.7);

	this.select_21 = new lib.gfx_select_active();
	this.select_21.setTransform(870.9,394.2);

	this.select_19 = new lib.gfx_select_active();
	this.select_19.setTransform(870.9,336);

	this.select_17 = new lib.gfx_select_active();
	this.select_17.setTransform(586.9,365.7);

	this.select_18 = new lib.gfx_select_active();
	this.select_18.setTransform(586.9,394.2);

	this.select_16 = new lib.gfx_select_active();
	this.select_16.setTransform(586.9,336);

	this.select_15 = new lib.gfx_select_active();
	this.select_15.setTransform(299.8,394.2);

	this.select_14 = new lib.gfx_select_active();
	this.select_14.setTransform(299.8,365.7);

	this.select_13 = new lib.gfx_select_active();
	this.select_13.setTransform(299.8,336.5);

	this.select_11 = new lib.gfx_select_active();
	this.select_11.setTransform(1147.9,187.7);

	this.select_12 = new lib.gfx_select_active();
	this.select_12.setTransform(1147.9,216.2);

	this.select_10 = new lib.gfx_select_active();
	this.select_10.setTransform(1147.9,158);

	this.select_8 = new lib.gfx_select_active();
	this.select_8.setTransform(870.9,187.7);

	this.select_9 = new lib.gfx_select_active();
	this.select_9.setTransform(870.9,216.2);

	this.select_7 = new lib.gfx_select_active();
	this.select_7.setTransform(870.9,158);

	this.select_5 = new lib.gfx_select_active();
	this.select_5.setTransform(586.9,187.7);

	this.select_6 = new lib.gfx_select_active();
	this.select_6.setTransform(586.9,216.2);

	this.select_4 = new lib.gfx_select_active();
	this.select_4.setTransform(586.9,158);

	this.select_3 = new lib.gfx_select_active();
	this.select_3.setTransform(299.8,216.2);

	this.select_2 = new lib.gfx_select_active();
	this.select_2.setTransform(299.8,187.7);

	this.select_1 = new lib.gfx_select_active();
	this.select_1.setTransform(299.8,158.5);

	this.timeline.addTween(cjs.Tween.get({}).to({state:[{t:this.select_1},{t:this.select_2},{t:this.select_3},{t:this.select_4},{t:this.select_6},{t:this.select_5},{t:this.select_7},{t:this.select_9},{t:this.select_8},{t:this.select_10},{t:this.select_12},{t:this.select_11},{t:this.select_13},{t:this.select_14},{t:this.select_15},{t:this.select_16},{t:this.select_18},{t:this.select_17},{t:this.select_19},{t:this.select_21},{t:this.select_20},{t:this.select_22},{t:this.select_24},{t:this.select_23},{t:this.select_25},{t:this.select_27},{t:this.select_26},{t:this.select_28},{t:this.select_30},{t:this.select_29}]}).wait(1));

	// content
	this.instance = new lib.Bitmap2();
	this.instance.setTransform(42,57.5);

	this.timeline.addTween(cjs.Tween.get(this.instance).wait(1));

}).prototype = p = new cjs.MovieClip();
p.nominalBounds = rect = new cjs.Rectangle(42,57.5,1184,601);
p.frameBounds = [rect];


// stage content:
(lib.index = function() {
	this.initialize();

	// exercise
	this.container = new lib.exerciseContainer();
	this.container.setTransform(922.2,391.2,1,1,0,0,0,916.5,389);

	this.addChild(this.container);
}).prototype = p = new cjs.Container();
p.nominalBounds = rect = new cjs.Rectangle(687.7,419.6,1184,601);
p.frameBounds = [rect];

})(lib = lib||{}, images = images||{}, createjs = createjs||{}, ss = ss||{});
var lib, images, createjs, ss;